[android-components](../../index.md) / [org.mozilla.telemetry.storage](../index.md) / [FileTelemetryStorage](index.md) / [process](./process.md)

# process

`open fun process(pingType: `[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)`, callback: `[`TelemetryStorageCallback`](../-telemetry-storage/-telemetry-storage-callback/index.md)`): `[`Boolean`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-boolean/index.html) [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/service/telemetry/src/main/java/org/mozilla/telemetry/storage/FileTelemetryStorage.java#L64)

Overrides [TelemetryStorage.process](../-telemetry-storage/process.md)

